function onBegin()
	if not getFlag("water") then
		player.ForceCameraUpdate = true
		disableRetry()
		disableMovement()
		say("endercellbd_13")
		enableMovement()
		enableRetry()
		setFlag("water", true)
		setFlag("waterm", true)
	end
end



function onEnd(level, wasSkipped)
	if wasSkipped then
		setFlag("water", true)
		setFlag("waterm", true)
		player.ForceCameraUpdate = true
	    enableMovement()
	    enableRetry()
	end
end

